Solid Edge FrameworkSupport Type Library
AddByArc Method
Specifies the x coordinate of the center of the pattern.
Specifies the y coordinate of the center of the pattern.
Specifies the x coordinate of the point at which the arc that defines the pattern extent begins.
Specifies the y coordinate of the point at which the arc that defines the pattern extent ends.
Specifies the sweep angle of the arc that defines the pattern extent.
A member of the Geom2dOrientationConstants constant set that specifies the orientation of the pattern.
A member of the PatternOffsetTypeConstants constant set that specifies the type of offset to be applied to the pattern.
Specifies the number of copies in the pattern.
Specifies the angular spacing between pattern occurrences.
Description
Uses an arc definition (center point, start point, and sweep) to create a CircularPattern2d object.
Syntax
Visual Basic
Public Function AddByArc( _
   ByVal CenterX As Double, _
   ByVal CenterY As Double, _
   ByVal StartX As Double, _
   ByVal StartY As Double, _
   ByVal SweepAngle As Double, _
   ByVal Orientation As Geom2dOrientationConstants, _
   ByVal OffsetType As PatternOffsetTypeConstants, _
   ByVal Count As Long, _
   ByVal AngularSpacing As Double _
) As CircularPattern2d
Parameters
CenterX
Specifies the x coordinate of the center of the pattern.
CenterY
Specifies the y coordinate of the center of the pattern.
StartX
Specifies the x coordinate of the point at which the arc that defines the pattern extent begins.
StartY
Specifies the y coordinate of the point at which the arc that defines the pattern extent ends.
SweepAngle
Specifies the sweep angle of the arc that defines the pattern extent.
Orientation
ValueDescription
igGeom2dOrientClockwiseObjects drawn Clockwise
igGeom2dOrientCounterClockwiseObjects drawn Counter Clockwise
A member of the Geom2dOrientationConstants constant set that specifies the orientation of the pattern.
OffsetType
ValueDescription
sePatternFillOffsetFill Offset
sePatternFitOffsetFit Offset
sePatternFixedOffsetFixed Offset
A member of the PatternOffsetTypeConstants constant set that specifies the type of offset to be applied to the pattern.
Count
Specifies the number of copies in the pattern.
AngularSpacing
Specifies the angular spacing between pattern occurrences.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objProfile As SolidEdgePart.Profile
    Dim objCircPats2d As SolidEdgeFrameworkSupport.CircularPatterns2d
    Dim objCircPat As SolidEdgeFrameworkSupport.CircularPattern2d
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'Get hold of CircularPatterns2d object
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(prefplanedisp:=objDoc.RefPlanes(1))
    Set objCircPats2d = objProfile.CircularPatterns2d

    'Create a CircularPattern2d with AddByArc method with offsettype as sePatternFillOffset
    Set objCircPat = objCircPats2d.AddByArc(CenterX:=0#, CenterY:=0#, StartX:=0.05, StartY:=0#, _
                                            SweepAngle:=120 * PI / 180, Orientation:=igGeom2dOrientCounterClockwise, _
                                            OffsetType:=sePatternFillOffset, Count:=5, AngularSpacing:=10 * PI / 180)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objProfile = Nothing
    Set objCircPats2d = Nothing
    Set objCircPat = Nothing
End Sub
See Also

CircularPatterns2d Collection  | CircularPatterns2d Members

Send comments on this topic.